10   COLOR 7,0
     cls
     LINE INPUT "SBC:";PLU$
     IF PLU$="999" THEN CLOSE:END

     OPEN "ORDER1.QUE" FOR RANDOM ACCESS READ WRITE SHARED AS #11 LEN=128
     FIELD#11,128AS QUE11$

     IQ=2:KI=0:KU=0:KT=0:VD=0:VU=0                                                  ' inicio en 2
1100 IF EOF(11) THEN 1350                                  ' termina
        GET#11,IQ                                          ' accesa archivo order1.que
        IF MID$(QUE11$,9,1)="1" THEN                       ' es venta
           IF PLU$=MID$(QUE11$,31,3) THEN
              IF MID$(XPLU$,1,1)="9" THEN 1102             ' es cobro
              IF MID$(QUE11$,30,1)="V" OR MID$(QUE11$,30,1)="v" THEN 1102
                 VD=VD+VAL(MID$(QUE11$,70,8))              ' acumula venta
                 VU=VU+VAL(MID$(QUE11$,61,8))              ' acumula venta unidades
                 NPLU$=MID$(QUE11$,37,8)                   ' nombre plu
           ENDIF
        ENDIF
     IF MID$(QUE11$,9,1)<"0" THEN 1350                     ' fin de archivo
     IF MID$(QUE11$,9,1)>"9" THEN 1350                     ' fin de archivo
1102    IQ=IQ+1                                            ' incrementa contador
        GOTO 1100                                          ' regresa a accesar order.que

1350 PRINT PLU$;" ";NPLU$;" ";:PRINT USING "##### #####.##";VU;VD:W$=INPUT$(1)
     IF W$="C" THEN CLOSE:END
     CLOSE#11
     GOTO 10
